BIO_s_null(3) | OpenSSL | BIO_s_null(3)

# NAME

BIO_s_null - null data sink

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/bio.h>
BIO_METHOD * BIO_s_null(void);

# DESCRIPTION

BIO_s_null() returns the null sink BIO method. Data written to the null sink is discarded, reads return EOF.

# NOTES

A null sink BIO behaves in a similar manner to the Unix /dev/null device.

A null bio can be placed on the end of a chain to discard any data passed through it.

A null sink is useful if, for example, an application wishes to digest some data by writing through a digest bio but not send the digested data anywhere. Since a BIO chain must normally include a source/sink BIO this can be achieved by adding a null sink BIO to the end of the chain

# RETURN VALUES

BIO_s_null() returns the null sink BIO method.

# SEE ALSO

TBA

2009-07-19 | 1.0.1u